<mat-toolbar color="primary">
  <button *ngIf="burgerMenuVisible$ | async" mat-icon-button (click)="toggleDrawer()">
    <mat-icon>menu</mat-icon>
  </button>

  {{ 'sports.title' | translate }}
</mat-toolbar>

<mat-progress-bar *ngIf="loading$ | async"></mat-progress-bar>

<div class="page-content">
  <button mat-fab class="sports-create-button" (click)="showCreateDialog()">
    <mat-icon>add</mat-icon>
  </button>

  <mat-list fxLayout="row wrap" *ngIf="sports$ | async as sports">
    <mat-card fxFlex="1 0 20em" class="sport" *ngFor="let sport of sports">
      <mat-card-header>
        <mat-card-title>{{sport.name}}</mat-card-title>

        <button mat-icon-button class="menu-button" [matMenuTriggerFor]="menu">
          <mat-icon>more_vert</mat-icon>
        </button>
      </mat-card-header>

      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="showUpdateDialog(sport)">{{'app.edit' | translate}}</button>
        <button mat-menu-item (click)="showRemoveDialog(sport)">{{'app.delete' | translate}}</button>
      </mat-menu>

      <img mat-card-image [src]="environment.api.imagesUrl + sport.image_url" [alt]="sport.name">
    </mat-card>
  </mat-list>
</div>
